
-- leave me
	local actor = ACTOR_preload()
-- leave me

	-- default for this beastie
	actor[cp_actor_name]		= "robot_green"
	actor[cp_model_dir]			= "beasties"
	actor[cp_model_name]		= "robo-g"

	actor[cp_hit_delay]			= 3.0

	actor[cp_move_type]			= cmt_track + cmt_anim_to_move + cmt_repelled

	actor[cp_actor_type]			= cat_robot
--	actor[cp_i_collide_with_beasties]	= cat_player + cat_robot
--	actor[cp_these_collide_with_me]		= cat_player + cat_bullet + cat_robot
--	actor[cp_i_avoid_these_beasties]	= cat_block + cat_blocker + cat_robot

	actor[cp_i_am_repelled_by]		= cat_block + cat_blocker + cat_robot + cat_webblob
	actor[cp_repel_dist]			= 4.0

	actor[cp_score]				= 100
	actor[cp_bonus_seq_hit]		= 5
	actor[cp_bonus_seq_score]	= 1000
	actor[cp_hit_power]			= 5.0

	-- movement
	actor[cp_move_speed_min]	= 0.4
	actor[cp_move_speed_max]	= 0.8

	actor[cp_look_ahead_dist]		= 6.0
	actor[cp_target_stop_dist]		= 10.0

	actor[cp_turn_lock_angle_inner]		= 85.0
	actor[cp_turn_lock_angle_outer]		= 95.0
	actor[cp_turn_speed_still]			= 3.0
	actor[cp_turn_acceleration_still]	= 0.3
	actor[cp_turn_inertia_still]		= 0.0
	actor[cp_turn_speed_moving]			= 2.0
	actor[cp_turn_acceleration_moving]	= 0.3
	actor[cp_turn_inertia_moving]		= 0.0

	actor[cp_weight]				= 3.0
	actor[cp_launch_scale_min]		= 32.5
	actor[cp_launch_scale_max]		= 37.5

	actor[cp_health_percent]		= 1000.0

	actor[cp_launch_hue_shift] = color

--	actor[cp_move_target]		= "robo-mom"

-- leave me
	c_preload_model( actor )
-- leave me

	c_add_shadow_to_bone( "main", 24.0 )	

	c_set_random_anim( "blink", 65.0, 105.0, 0.0, 1.0 )
	c_add_particle_to_anim( "emerge", "body", "robo-g_emerge" )
	c_add_particle_to_anim( "emerge", "body", "robo-g_emergepad" )
	c_add_particle_to_anim( "mutate", "body", "robo-g-path_mutate" )

	c_set_random_anim( "sing", 100.0, 100.0, 0.0, 5.0 )	
	c_add_sound_to_anim( "sing", "robo-sing2", 50 )	


	c_set_use_anim_for( "move_forward", "walk", 95.0, 105.0 )

	c_add_sound_to_anim( "mutate", "robo-g_mutate" )
--	c_add_sound_to_anim( "walk", "robo_step", 1 )
	c_add_sound_to_anim( "emerge", "robo-g_emerge", 150 )
	

	local seq = { 0.0 , 0.175}
	c_set_use_explosion_for( "bye_bye", "robo_green+a", exp_no_align, 30.0, 0.0, 1000.0, 1300.0, seq )
	c_add_sound_to_explosion( "robo_green+a", "explode", "robo-g_death" )
	c_add_sound_to_event( "hit_active_bone", "robo_hit" )

	c_set_use_explosion_for( "bye_bye", "robo_green_flash+a", exp_no_align, 0.0, 0.5, 3000.0, 3000.0, {0.0} )
	c_add_particle_to_explosion( "robo_green_flash+a", "explode", "", "robo-g_flash" )


if cur_level_num > 102 then
	-- new state
	c_set_trigger_mutate( "robot_yellow", "beasties_time_alive", 2.0, 4.0, 1.0, 1.0, 35.0, 40.0 )
	-- new state

	-- new state
--	c_set_trigger_mutate( "robot_yellow", "track_beastie_dist_less_than", 10.0, 15.0, 1.0, 1.0, 35.0, 40.0 )
	-- new state
end

